Bug 145634 - Evolution's resending violates RFC2822 and confuses the user.
Evolution's resending violates RFC2822 and confuses the user.
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2005-01-20 06:03 EST by David Woodhouse
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-05 09:59:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2005-01-20 06:03:29 EST
When asked to 'redirect' a mail, Evolution behaves in a confusing and
broken fashion. See section 3.6.6 of RFC2822.

Evolution does not always add Resent-Date: and Resent-Message-Id:
headers. I resent a message to myself and they were absent.

I resent the same message to myself again using a different account
(in the same running instance of Evolution). On the second occasion,
Evolution _did_ seem to add those headers but it deleted the original
Resent-From: and Resent-To: headers, which it should not have done. It
should have preserved those.

The user interface when resending mail is very confusing. It displays
the mail with your signature attached, although when it comes to send
the mail your signature will be absent. If you change accounts (as I
did on the second test described above) you seem to get two copies of
your signature, although still it's only displayed; not sent. The
headers which you edit are still labelled 'From:' 'To:' and 'Cc:' even
though they are to be the Resent-From:, Resent-To: and Resent-Cc:

Finally, on a vaguely related note -- Evolution should be displaying
Resent-From:, Resent-To: and Resent-Date: headers by default. It
should _possibly_ also favour the most recent Resent-From: header and
display that in mailbox indices instead of the From: header, too.
Comment 1 David Woodhouse 2006-05-06 17:09:23 EDT
Still broken in FC5.
Comment 2 Matthew Barnes 2006-12-30 21:53:19 EST
Dare I ask, is there an upstream bug report for this problem?
Comment 3 David Woodhouse 2006-12-31 06:41:34 EST
If I didn't add it to this bug, then probably not.
Comment 4 Matěj Cepl 2007-08-31 11:23:11 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 5 Matěj Cepl 2007-11-05 09:59:51 EST
Sorry, David, I have to close this bug now as INSUFFICIENT_DATA.
Comment 6 David Woodhouse 2007-11-05 10:09:07 EST
Why so? It's still broken (and takes less time to check that than to interact
with bugzilla).

Note You need to log in before you can comment on or make changes to this bug.